Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0055880
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2024-07-01 14:482024-07-11 11:55
ReporterNaroaIriarteView Statuspublic 
Assigned ToNaroaIriarte 
PrioritynormalResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0055880: When a till is closed from the backend, the cashup process should be executed afterwards.

DescriptionIf a till is closed using the close till from backend process, the cashup process should be executed the next time that terminal is used to avoid inconsistencies. This is not happening currently.
Steps To Reproduce- As a prerequisite, the sessions module has to be installed.
- Log into the pos in the VBS-2 terminal and open the store with today's date.
- Go to the backend and go to the 'Terminals and Tills status' window. Find the 'VBS-2' terminal and select it. See that in the subtab 'Tills Status', the opened till appears as not closed.
- Push the 'Close Tills' process button, to close the tills corresponding to the terminal.
- See that now, the 'Till Status' subtab shows the till as closed and, more precisely, as 'Closed in Backend'.
- Go again to the POS, where the VBS-2 terminal is opened.
- Try to buy anything.
- See that you can continue working with it.
- This should not happen, the cashup should be executed before being able to continue working with it.
- If you go back to the backend to the 'Terminals and Tills status' and see the 'Tills Status subtab' you will see that the till is indeed closed but the 'Cash Up' field is empty.

Proposed Solution.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0055879 acknowledgedNaroaIriarte Create a new functionality that will close the store and reopen it again when needed 

-  Notes
(0166895)
hgbot (developer)
2024-07-11 11:55

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sessions/-/merge_requests/132 [^]

- Issue History
Date Modified Username Field Change
2024-07-01 14:48 NaroaIriarte New Issue
2024-07-01 14:48 NaroaIriarte Assigned To => NaroaIriarte
2024-07-01 14:48 NaroaIriarte Triggers an Emergency Pack => No
2024-07-01 14:48 NaroaIriarte Relationship added related to 0055879
2024-07-01 15:21 NaroaIriarte Status new => acknowledged
2024-07-01 15:21 NaroaIriarte Status acknowledged => scheduled
2024-07-04 09:42 NaroaIriarte Status scheduled => acknowledged
2024-07-09 13:52 guilleaer Status acknowledged => scheduled
2024-07-11 11:55 hgbot Note Added: 0166895


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker